## VPC Module

module "vpc" {
  source = "./modules/vpc"

  cidr_block          = var.cidr_block
  public_subnet_az    = var.public_subnet_az
  public_subnet_cidr  = var.public_subnet_cidr
  private_subnet_az   = var.private_subnet_az
  private_subnet_cidr = var.private_subnet_cidr

  tags = var.tags
}

## EC2 Module

module "ec2" {
  source = "./modules/ec2"

  vpc_id                = module.vpc.vpc_id
  ingress_alb_sg_rule   = var.ingress_alb_sg_rule
  egress_alb_sg_rule    = var.egress_alb_sg_rule
  ingress_ec2_sg_rule   = var.ingress_ec2_sg_rule
  egress_ec2_sg_rule    = var.egress_ec2_sg_rule
  ec2_launch_template   = var.ec2_launch_template
  ec2_alb_target_group  = var.ec2_alb_target_group
  alb_subnet_ids        = module.vpc.public_subnet_id
  ec2_subnet_id         = module.vpc.private_subnet_id
  alb_ec2               = var.alb_ec2
  alb_listener          = var.alb_listener
  ec2_autoscaling_group = var.ec2_autoscaling_group

  tags = var.tags
}
